.PHONY: clean distclean clean-lists

rinse:
	for i in profiles/{,install2/,base/,disk/,live/}config.mk; do :>$$i; done
	# we build installers by default
	echo GFXBOOT_FLAVOUR=installer > profiles/config.mk

clean:
	make -C profiles rm-loader
	SUBDIRS="$(EVERYTHING) live lite-edu" \
		make -C profiles clean

distclean:
	make -C profiles rm-loader
	SUBDIRS="$(EVERYTHING) live lite-edu" \
		make -C profiles distclean

clean-lists:
	subst 's/[^ ]*- //g;s/[^ ]*-$$//g;' profiles/packages-lists/*
